org.apache.xalan.extensions

## Class ExtensionHandlerJava

- java.lang.Object
- - org.apache.xalan.extensions.ExtensionHandler
  - - org.apache.xalan.extensions.ExtensionHandlerJava

- Direct Known Subclasses:
    ExtensionHandlerJavaClass, ExtensionHandlerJavaPackage

      public abstract class ExtensionHandlerJava
      extends ExtensionHandler

  Abstract base class handling the java language extensions for XPath. This base class provides cache management shared by all of the various java extension handlers.
  Usage:
    **For internal use only**

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getFromCache(java.lang.Object methodKey, java.lang.Object objType, java.lang.Object[] methodArgs)` Look up the entry in the method cache.
    `java.lang.Object` | `putToCache(java.lang.Object methodKey, java.lang.Object objType, java.lang.Object[] methodArgs, java.lang.Object methodObj)` Add a new entry into the method cache.

    - ### Methods inherited from class org.apache.xalan.extensions.ExtensionHandler

      `callFunction, callFunction, isElementAvailable, isFunctionAvailable, processElement`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFromCache

          public java.lang.Object getFromCache(java.lang.Object methodKey,
                                               java.lang.Object objType,
                                               java.lang.Object[] methodArgs)

      Look up the entry in the method cache.
      Parameters:
        `methodKey` - A key that uniquely identifies this invocation in the stylesheet.
        `objType` - A Class object or instance object representing the type
        `methodArgs` - An array of the XObject arguments to be used for function mangling.
      Returns:
        The given method from the method cache

    - #### putToCache

          public java.lang.Object putToCache(java.lang.Object methodKey,
                                             java.lang.Object objType,
                                             java.lang.Object[] methodArgs,
                                             java.lang.Object methodObj)

      Add a new entry into the method cache.
      Parameters:
        `methodKey` - A key that uniquely identifies this invocation in the stylesheet.
        `objType` - A Class object or instance object representing the type
        `methodArgs` - An array of the XObject arguments to be used for function mangling.
        `methodObj` - A Class object or instance object representing the method
      Returns:
        The cached method object

Copyright © 2023 Apache XML Project. All Rights Reserved.